Meld instalado con el error "No se puede vincular el dominio de traducción" de Homebrew

Instalé la herramienta de resolución de conflictos de fusión git Meld usando homebrew.

"brew install meld"

Después de la installation, se produce un error al intentar solucionar un conflicto de fusión. Funcionando en OSX 10.9.4. Ideas?

Error en su totalidad:

================================

No se pudo vincular el dominio de traducción. Algunas traducciones no funcionarán.

El object 'module' no tiene ningún atributo 'bindtextdomain'

/usr/local/lib/python2.7/site-packages/gtk-2.0/gtk/ init .py: 57: GtkWarning: no se pudo abrir warnings.warn (str (e), _gtk.Warning)

/usr/local/Cellar/meld/1.8.6/libexec/bin/meld:155: GtkWarning: gtk_icon_theme_get_for_screen: assertion 'GDK_IS_SCREEN (pantalla)' falló gtk.icon_theme_get_default (). append_search_path (meld.paths.icon_dir ())

Trazabilidad (llamada más reciente): Archivo "/usr/local/Cellar/meld/1.8.6/libexec/bin/meld", línea 155, en gtk.icon_theme_get_default (). Append_search_path (meld.paths.icon_dir ())

AttributeError: el object 'NoneType' no tiene atributo 'append_search_path'

================================

¿Alguna vez intentó ejecutar "brew doctor" para verificar su sistema? Puede resolver la mayoría de los problemas, lo que indica que su problema puede deberse al uso de una versión incorrecta de los progtwigs de Python. Te sugerirá que modifiques tu ruta en ~ / .bashrc

Mira esto:

https://github.com/Homebrew/homebrew/issues/10908

Lea esto también:

¿Cómo modificar PATH para Homebrew?

=====

Eso es lo que obtengo en caso de conflictos de ruta:

meld No se pudo vincular el dominio de traducción. Algunas traducciones no funcionarán. El object 'module' no tiene ningún atributo 'bindtextdomain'

(process: 690): Gtk-WARNING **: la configuration regional no es compatible con la biblioteca C. Uso de la location alternativa 'C'. /usr/local/lib/python2.7/site-packages/gobject/ init .py: 115: Advertencia: intentar agregar una interfaz (GtkEditable) a la class (HistoryFileEntry) después de class_init type_register (cls, namespace.get (' gtype_name ')) /usr/local/Cellar/meld/1.8.6/libexec/bin/meld:172: GtkWarning: No se pudo encontrar el icono' application-x-meld-comparison '. Tampoco se encontró el tema 'hicolor', quizás necesites instalarlo. Puede get una copy de: http://icon-theme.freedesktop.org/releases gtk.main ()

Tuve que poner /usr/local/bin antes /usr/bin en mi PATH . Hice esto agregando mi .bash_profile :

 PATH="`brew --prefix`/bin:$PATH" 

meld tiene ahora una versión comstackda nativamente en Mac OS X. Comtesting el github a continuación:

https://github.com/yousseb/meld

Y por favor publique comentarios y sugerencias. Además, si necesita invocar meld desde otros progtwigs, necesita agregarse un shellscript para traducir los parameters enviados desde git a meld. Puedes search uno en Google.